Model deployment
Retrieve temporary credentials of a specific Model Deployment for a specific operation type
Retrieves information for available temporary credentials of a Model Deployment for a specific operation type.
GET
/
api
/
modelServing
/
v1
/
modelDeployments
/
{modelDeploymentId}
/
credentials
/
{operationType}
Retrieve temporary credentials of a specific Model Deployment for a specific operation type
curl --request GET \
--url https://mycluster.domino.tech/api/modelServing/v1/modelDeployments/{modelDeploymentId}/credentials/{operationType} \
--header 'X-Domino-Api-Key: <api-key>'import requests
url = "https://mycluster.domino.tech/api/modelServing/v1/modelDeployments/{modelDeploymentId}/credentials/{operationType}"
headers = {"X-Domino-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Domino-Api-Key': '<api-key>'}};
fetch('https://mycluster.domino.tech/api/modelServing/v1/modelDeployments/{modelDeploymentId}/credentials/{operationType}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://mycluster.domino.tech/api/modelServing/v1/modelDeployments/{modelDeploymentId}/credentials/{operationType}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-Domino-Api-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://mycluster.domino.tech/api/modelServing/v1/modelDeployments/{modelDeploymentId}/credentials/{operationType}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-Domino-Api-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://mycluster.domino.tech/api/modelServing/v1/modelDeployments/{modelDeploymentId}/credentials/{operationType}")
.header("X-Domino-Api-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://mycluster.domino.tech/api/modelServing/v1/modelDeployments/{modelDeploymentId}/credentials/{operationType}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-Domino-Api-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"credentials": {
"AWS_ACCESS_KEY_ID": 1234,
"AWS_SECRET_ACCESS_KEY": 5678,
"AWS_SESSION_TOKEN": "0123token"
},
"credentialsType": "AWS",
"expirationTime": "2023-07-15T14:35:47.89Z",
"operationType": "INVOKE_ENDPOINT"
}{
"error": "<string>"
}{
"code": "UNAUTHORIZED",
"message": "Authentication is required to access this resource."
}{
"code": "FORBIDDEN",
"message": "You do not have permission to perform this action."
}{
"error": "<string>"
}{
"error": "<string>"
}Authorizations
DominoApiKeyBearerAuthentication
Path Parameters
The id of the Model Deployment
The operation type of the credentials
Response
Credentials for the specific operation type
Model Deployment Credentials
The actual credentials represented as key value pairs
Show child attributes
Show child attributes
Example:
{
"AWS_ACCESS_KEY_ID": 1234,
"AWS_SECRET_ACCESS_KEY": 5678,
"AWS_SESSION_TOKEN": "0123token"
}
This field identifies the type of credential. The enum value limits the possibilities to what this model deployment supports.
Available options:
AWS, HMAC Example:
"2023-07-15T14:35:47.89Z"
Example:
"INVOKE_ENDPOINT"
Was this page helpful?
⌘I
Retrieve temporary credentials of a specific Model Deployment for a specific operation type
curl --request GET \
--url https://mycluster.domino.tech/api/modelServing/v1/modelDeployments/{modelDeploymentId}/credentials/{operationType} \
--header 'X-Domino-Api-Key: <api-key>'import requests
url = "https://mycluster.domino.tech/api/modelServing/v1/modelDeployments/{modelDeploymentId}/credentials/{operationType}"
headers = {"X-Domino-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Domino-Api-Key': '<api-key>'}};
fetch('https://mycluster.domino.tech/api/modelServing/v1/modelDeployments/{modelDeploymentId}/credentials/{operationType}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://mycluster.domino.tech/api/modelServing/v1/modelDeployments/{modelDeploymentId}/credentials/{operationType}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-Domino-Api-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://mycluster.domino.tech/api/modelServing/v1/modelDeployments/{modelDeploymentId}/credentials/{operationType}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-Domino-Api-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://mycluster.domino.tech/api/modelServing/v1/modelDeployments/{modelDeploymentId}/credentials/{operationType}")
.header("X-Domino-Api-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://mycluster.domino.tech/api/modelServing/v1/modelDeployments/{modelDeploymentId}/credentials/{operationType}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-Domino-Api-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"credentials": {
"AWS_ACCESS_KEY_ID": 1234,
"AWS_SECRET_ACCESS_KEY": 5678,
"AWS_SESSION_TOKEN": "0123token"
},
"credentialsType": "AWS",
"expirationTime": "2023-07-15T14:35:47.89Z",
"operationType": "INVOKE_ENDPOINT"
}{
"error": "<string>"
}{
"code": "UNAUTHORIZED",
"message": "Authentication is required to access this resource."
}{
"code": "FORBIDDEN",
"message": "You do not have permission to perform this action."
}{
"error": "<string>"
}{
"error": "<string>"
}